Subject: Re: [BUG] New Kernel Bugs

From: Mark Lord <[email-masked]>
Date: Tue, 13 Nov 2007 13:18:43 -0500

Adrian Bunk wrote:
> On Tue, Nov 13, 2007 at 12:50:08PM -0500, Mark Lord wrote:
>> Ingo Molnar wrote:
>>> for example git-bisect was godsent. I remember that years ago bisection of 
>>> a bug was a very laborous task so that it was only used as a final, 
>>> last-ditch approach for really nasty bugs. Today we can autonomouly bisect 
>>> build bugs via a simple shell command around "git-bisect run", without any 
>>> human interaction! This freed up testing resources 
>> ..
>>
>> It's only a godsend for the few people who happen to be kernel developers
> 
> It's also godsend for users who want a regression they observe fixed.
> 
> If you can tell which patch broke it you often turned a very hard to 
> debug problem into a relatively easy fixable problem.
..

Oh yes, definitely.  When that use happens to be a kernel dev + git user,
it saves the *fool who broke it* a hell of a lot of time, because they can
slough it off onto the poor bloke who notices it.

Mind you, no arguing that this is effective when that poor bloke
has a day free to download the git-tree and build/reboot a dozen times.